### Struct

# GskPathMeasure

since: 4.14

#### Description [src]

    struct GskPathMeasure {
      /* No available fields */
    }

`GskPathMeasure` is an object that allows measurements on `GskPath`s such as determining the length of the path.

Many measuring operations require sampling the path length at intermediate points. Therefore, a `GskPathMeasure` has a tolerance that determines what precision is required for such approximations.

A `GskPathMeasure` struct is a reference counted struct and should be treated as opaque.

Available since: 4.14

#### Constructors

###### gsk_path_measure_new

Creates a measure object for the given `path` with the default tolerance.

since: 4.14

###### gsk_path_measure_new_with_tolerance

Creates a measure object for the given `path` and `tolerance`.

since: 4.14

#### Instance methods

###### gsk_path_measure_get_length

Gets the length of the path being measured.

since: 4.14

###### gsk_path_measure_get_path

Returns the path that the measure was created for.

since: 4.14

###### gsk_path_measure_get_point

Sets `result` to the point at the given distance into the path.

since: 4.14

###### gsk_path_measure_get_tolerance

Returns the tolerance that the measure was created with.

since: 4.14

###### gsk_path_measure_ref

Increases the reference count of a `GskPathMeasure` by one.

since: 4.14

###### gsk_path_measure_unref

Decreases the reference count of a `GskPathMeasure` by one.

since: 4.14